Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CheckCreatedPublicChatsLimit

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.CheckCreatedPublicChatsLimit

Enclosing class:
  TdApi

public static final class TdApi.CheckCreatedPublicChatsLimit extends TdApi.Function<TdApi.Ok>
Checks whether the maximum number of owned public chats has been reached. Returns corresponding error if the limit was reached. The limit can be increased with Telegram Premium.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.PublicChatType`
`type`
Type of the public chats, for which to check the limit.

## Constructor Summary

Constructors
Constructor
Description
`CheckCreatedPublicChatsLimit()`
Checks whether the maximum number of owned public chats has been reached.
`CheckCreatedPublicChatsLimit(TdApi.PublicChatType type)`
Checks whether the maximum number of owned public chats has been reached.
`CheckCreatedPublicChatsLimit(DataInput input)`
Checks whether the maximum number of owned public chats has been reached.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.PublicChatType type
Type of the public chats, for which to check the limit.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CheckCreatedPublicChatsLimit

public CheckCreatedPublicChatsLimit()
Checks whether the maximum number of owned public chats has been reached. Returns corresponding error if the limit was reached. The limit can be increased with Telegram Premium.

Returns `Ok`

### CheckCreatedPublicChatsLimit

public CheckCreatedPublicChatsLimit(TdApi.PublicChatType type)
Checks whether the maximum number of owned public chats has been reached. Returns corresponding error if the limit was reached. The limit can be increased with Telegram Premium.

Returns `Ok`

Parameters:
  `type` - Type of the public chats, for which to check the limit.

  Returns `Ok`

### CheckCreatedPublicChatsLimit

public CheckCreatedPublicChatsLimit(DataInput input) throws IOException
Checks whether the maximum number of owned public chats has been reached. Returns corresponding error if the limit was reached. The limit can be increased with Telegram Premium.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`